%define		_arch		i386
%define		_prefix		/usr
%define		_sysconfdir	/etc
%define		_initrddir	/etc/init.d
%define		_libdir		/usr/lib
%define		_mandir		/usr/man
%define		_libexecdir	/usr/bin
%define		_localstatedir	/var
%define		_datadir	/usr/share
%define		_aclocaldir	/usr/share/aclocal

Summary: 	The Red Hat package management system.
Name: 		rpm
Version: 	3.0.8
Release: 	1
Group:		Applications
Source0: 	%{name}-%{version}.tar.xz
Source1: 	athlon-rpmrc.bz2
ExclusiveArch: 	i386
Copyright: 	GPL
BuildRequires:	gawk fileutils textutils sh-utils coreutils automake autoconf
BuildRequires: 	bzip2-devel zlib-devel db1-devel popt-devel gawk fileutils
BuildRequires:  textutils sh-utils coreutils sed xz-devel >= 4.999.9beta
BuildRoot: 	/var/tmp/rpm-%{version}-root

%description
The Red Hat Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package 	devel
Summary: 	Development files for applications which will manipulate RPM packages.
Group: 		Development

%description 	devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package -n 	popt
Summary: 	A C-library for parsing command line parameters.
Group: 		Libraries
Version: 	1.10.2

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.  Part of the Red Hat src.rpm package.

%package -n 	popt-devel
Summary: 	Development libraries and include headers.
Group: 		Development
Version: 	1.10.2

%description -n popt-devel
Install popt if you're a C programmer and you'd like to use its
capabilities.  Part of the Red Hat src.rpm package.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure \
    --build=i386-pc-linux \
    --host=i386-pc-linux \
    --prefix=/usr \
    --libdir=/usr/lib \
    --libexec=/usr/bin \
    --mandir=/usr/man \
    --sysconfdir=/etc \
    --localstatedir=/var \
    --infodir=/usr/info \
    --enable-v5-packages \
    --disable-nls \
    --without-included-gettext \
    --with-glob \
    --with-gnu-ld \
    --with-catgets

bzcat %{SOURCE1} >> rpmrc.in
perl -pi -e 's/^DEFS =/DEFS = -D_GNU_SOURCE/' lib/Makefile
make CFLAGS="$RPM_OPT_FLAGS"
make -C python

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/{i386,i486,i586,i686,athlon}
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/noarch
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install -C python
chmod 1777 $RPM_BUILD_ROOT/var/tmp 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin
/usr/bin/gendiff
/usr/bin/rpm2cpio
/usr/lib/librpm*.so.*
/usr/lib/librpm*.so
/usr/lib/librpm*.la
/usr/lib/rpm
/usr/lib/rpmpopt
/usr/lib/rpmrc
/usr/lib/python*
/usr/man/man1
/usr/man/man3
/usr/man/man8
/usr/src
/var

%files devel
%defattr(-,root,root)
/usr/lib/librpm*.a
/usr/include/rpm

%files -n popt
%defattr(-,root,root)
/usr/lib/libpopt*.so.*
/usr/lib/libpopt*.so
/usr/lib/libpopt*.la

%files -n popt-devel
%defattr(-,root,root)
/usr/lib/libpopt.a
/usr/include/popt.h

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %date - linuxkid alinux@alinux.tv
- transitioned strip flags into rpm